summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild')
-rw-r--r--dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild b/dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild
new file mode 100644
index 000000000000..4cc5ae842b9a
--- /dev/null
+++ b/dev-ruby/ruby-pango/ruby-pango-4.3.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+inherit ruby-ng-gnome2
+
+DESCRIPTION="Ruby Pango bindings"
+KEYWORDS="~amd64 ~ppc ~riscv ~x86"
+DEPEND="dev-libs/glib:2
+ >=x11-libs/pango-1.14.0[introspection]
+"
+RDEPEND="${DEPEND}"
+
+ruby_add_rdepend "
+ ~dev-ruby/ruby-cairo-gobject-${PV}
+ ~dev-ruby/ruby-glib2-${PV}
+ ~dev-ruby/ruby-gobject-introspection-${PV}
+"
+
+all_ruby_prepare() {
+ ruby-ng-gnome2_all_ruby_prepare
+
+ # Remove test depending on specific locales to be set up: bug 526248
+ rm -f test/test-language.rb || die
+}
+
+each_ruby_test() {
+ # Include pango path since run-test does not list it
+ ${RUBY} -Iext/pango test/run-test.rb || die
+}